jQuery 1.4, jQuery Validate 1.6, xVal

Jan 19, 2010 at 3:27 PM

Hi,
i tryed xVal on an asp.net mvc 1.0 project and I can not get it to validate the form at all.

Is there a trick to make it work ?

Does it work with jQuery 1.4 and jQuery Validate 1.6 just released ?

Thanks.

Jan 22, 2010 at 9:23 AM

Got exactly the same issue, not sure if there is some compatibility issues, but no where online seems to mention anything about it... i dont get any errors in firebug either, it just doesnt do anything :(

Coordinator
Jan 25, 2010 at 9:53 AM

Hi Softlion and Grofit

xVal works absolutely fine with the new jQuery 1.4 and jQuery Validation 1.6. For example, if you download the "demo project" from http://blog.codeville.net/2009/09/17/xval-v10-now-available/ and change it to reference jQuery 1.4 and jQuery Validaion 1.6, it still works perfectly.

Can you supply any steps to reproduce your problem?

Cheers

Steve

Jan 26, 2010 at 4:49 PM
Edited Jan 26, 2010 at 4:50 PM

I've upgraded my MVC 1.0 project to MVC 2.0 RC and now it works perfectly.

What i would like to see improved is how Html.ClientSideValidation selects form elements to validate.
Instead of (or in addition to) using a form prefix, it would be nice to use the form name. This way only elements within the selected form would be validated.